#! /usr/bin/env python
# -*- coding: utf_8 -*-
from pandac.PandaModules import *
from direct.particles.ParticleEffect import ParticleEffect
loadPrcFileData("editor-startup", "sync-video #f")
loadPrcFileData("editor-startup", "show-frame-rate-meter #t")
from direct.directbase import DirectStart
from random import randrange

# отключение дефолтного управления
base.disableMouse()
# создание "корабля"
root = NodePath('avatar root')
root.reparentTo(render)
base.camera.reparentTo(root)
base.camera.setPos(0,-5,0)
base.camera.lookAt(root)
# включение и загрузка "пыли"
base.enableParticles()
starDust = ParticleEffect()
starDust.loadConfig(Filename('star_dust.ptf'))
starDust.start(root,render)
# фон в чёрный
base.setBackgroundColor(0, 0, 0) 

# процедура управления
def controlTask(task):
    if base.mouseWatcherNode.hasMouse(): 
        mpos = base.mouseWatcherNode.getMouse()*globalClock.getDt()*50
        root.setHpr(root,-mpos[0],mpos[1],0)
    root.setY(root,globalClock.getDt()*6.0)
    return task.cont

taskMgr.add(controlTask,'control task')

run()
